(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "{{ profile.username }} (warning) - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center justify-between gap-2")
            (div
                ("class" "flex items-center gap-2")
                (text "{{ components::avatar(username=profile.username, size=\"24px\") }}")
                (span
                    (text "{{ profile.username }}")))
            (b
                ("class" "notification chip")
                (text "{{ text \"auth:label.before_you_view\" }}")))
        (div
            ("class" "card flex flex-col gap-2")
            (span
                ("class" "no_p_margin")
                (text "{{ profile.settings.warning|markdown|safe }}"))
            (div
                ("class" "card w-full secondary flex gap-2")
                (button
                    ("onclick" "trigger('warnings::accept', ['{{ profile.id }}', '{{ warning_hash }}'])")
                    (text "{{ icon \"check\" }}")
                    (span
                        (text "{{ text \"dialog:action.continue\" }}")))
                (a
                    ("href" "/")
                    ("class" "button red quaternary")
                    (text "{{ icon \"x\" }}")
                    (span
                        (text "{{ text \"general:action.back\" }}")))))))

(text "{% endblock %}")
