(text "{% import \"components.html\" as components %} {% extends \"communities/base.html\" %} {% block content %}")
(div
    ("class" "flex flex-col gap-4 w-full")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex gap-2 items-center")
            (text "{{ icon \"users-round\" }}")
            (span
                (text "{{ text \"communities:tab.members\" }}")))
        (div
            ("class" "card flex flex-col gap-4")
            (text "{% if page == 0 -%}")
            (div
                ("class" "card-nest")
                (div
                    ("class" "card small flex items-center gap-2")
                    (text "{{ icon \"crown\" }}")
                    (span
                        (text "Owner")))
                (text "{{ components::user_card(user=owner) }}"))
            (text "{%- endif %}")
            (text "{% for item in list %}")
            (div
                ("class" "card-nest")
                (div
                    ("class" "card small flex items-center gap-2 justify-between")
                    (span
                        (text "Since ")
                        (span
                            ("class" "date")
                            (text "{{ item[0].created }}")))
                    (text "{% if can_manage_roles -%}")
                    (a
                        ("href" "/community/{{ community.id }}/manage?uid={{ item[1].id }}#/members")
                        ("class" "button small quaternary")
                        (text "{{ icon \"pencil\" }}")
                        (span
                            (text "{{ text \"general:action.manage\" }}")))
                    (text "{%- endif %}"))
                (text "{{ components::user_card(user=item[1]) }}"))
            (text "{% endfor %} {{ components::pagination(page=page, items=list|length) }}"))))

(text "{% endblock %}")
