(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Search communities - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav(selected=\"communities\") }}")
(main
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (text "{{ icon \"search\" }}")
            (span
                (text "{{ text \"general:link.search\" }}")))
        (form
            ("class" "card flex flex-col gap-4")
            (div
                ("class" "flex flex-col gap-1")
                (label
                    ("for" "text")
                    (text "{{ text \"communities:label.query\" }}"))
                (input
                    ("type" "text")
                    ("name" "text")
                    ("id" "text")
                    ("placeholder" "text")
                    ("required" "")
                    ("maxlength" "32")
                    ("value" "{{ text }}")))
            (button
                ("class" "primary")
                (text "{{ text \"dialog:action.continue\" }}"))))
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (text "{{ icon \"book-marked\" }}")
            (span
                (text "{{ text \"communities:label.search_results\" }}")))
        (div
            ("class" "card flex flex-col gap-4")
            (text "{% for item in list %} {{ components::community_listing_card(community=item) }} {% endfor %}  {{ components::pagination(page=page, items=list|length, key=\"&text=\", value=text) }}"))))

(text "{% endblock %}")
