(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Latest posts - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"all\") }} {{ macros::timelines_secondary_nav(posts=\"/all\", questions=\"/all/questions\") }} {% if not user -%}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (text "{{ icon \"heart\" }}")
            (b
                (text "{{ text \"general:label.better_with_account\" }}")))
        (div
            ("class" "card flex gap-2")
            (a
                ("href" "/auth/login")
                ("class" "button")
                (text "{{ icon \"log-in\" }}")
                (span
                    (text "{{ text \"auth:action.login\" }}")))
            (a
                ("href" "/auth/register")
                ("class" "button secondary")
                (text "{{ icon \"user-plus\" }}")
                (span
                    (text "{{ text \"auth:action.register\" }}")))))
    (text "{%- endif %}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        (text "{% for post in list %} {% if post[2].read_access == \"Everybody\" -%} {% if post[0].context.repost and post[0].context.repost.reposting -%} {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true) }} {% else %} {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], poll=post[5]) }} {%- endif %} {%- endif %} {% endfor %}  {{ components::pagination(page=page, items=list|length) }}")))

(text "{% endblock %}")
